#include <iostream>
#include <string>
using namespace std;
int main() {
	string S,T;
	cin>>T;
	cin>>S;
	int n;
	unsigned short int j=0,i=S.length();
	int min=0;
	int br[i];

	for(n=0;n<i;n++)
		br[n]=0;
		
	for(n=0;n<T.length();n++)
		{
			
				if(T[n]==S[j])
					br[j]++;
				else
				{
					if(T[n]==S[j+1]){
						j++;
						br[j]++;
					}
				}
		}
		
	
	for(n=0;n<i;n++){
		if(br[n]<br[min])
			min=n;
	}

	j=0;	
	for(n=0;n<T.length();n++)
		{
			
				
				if(j==min&&T[n]==S[min]&&br[min]>0)
					{
						T.replace(n,1,"*");
						br[min]--;
						
					}
				else{
					if(T[n]==S[j]){
					j++;
					}
				}

				if(br[min]==0)
					break;
		}
	
	cout<<T;
	return 0;
}